using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Learn_CSS.DI;

using Learn_SQL.Model.Entities;

using Learn_SQL.Model.DAL;

using Learn_SQL.Model.BLL;

namespace Learn_CSS.Test.ConsoleTest
{
    class Program
    {
        static void SqlUserCase1() 
        {
            UserSolution userSolution = new UserSolution() 
            {
                TaskId = 1,
                UserQuery =
                @"
SELECT model, type
FROM Printer
"
            };


            var tester = DiRegistry.Resolve<SqlTester>();
            var testResult = tester.Test(userSolution);

            if (!testResult)
            {
                throw new Exception("");
            }
        }


        static void Main(string[] args)
        {
            DiRegistry.SetupRegistry("AppData");

            SqlUserCase1();
        }
    }
}
